Bug 212924 - (pear-DG-Array) Review Request: php-pear-Structures-DataGrid-DataSource-Array - DataSource driver using arrays
Review Request: php-pear-Structures-DataGrid-DataSource-Array - DataSource dr...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On: pear-Structures-DG
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-10-29 23:57 EST by Christopher Stone
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-02 15:58:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Stone 2006-10-29 23:57:56 EST
Spec URL: http://tkmame.retrogames.com/fedora-extras/php-pear-Structures-DataGrid-DataSource-Array.spec

SRPM URL: http://tkmame.retrogames.com/fedora-extras/php-pear-Structures-DataGrid-DataSource-Array-0.1.0-1.src.rpm

Description:
This is a DataSource driver for Structures_DataGrid using arrays. It is a
base package for some other DataSource drivers like CSV or XML.
Comment 1 Jason Tibbitts 2006-12-02 14:45:32 EST
The by now standard rpmlint complaints:
   W: php-pear-Structures-DataGrid-DataSource-Array no-documentation
   W: php-pear-Structures-DataGrid-DataSource-Array filename-too-long-for-joliet
php-pear-Structures-DataGrid-DataSource-Array-0.1.0-1.fc7.noarch.rpm

There's really just a single 4K file here; not much to review, really.

* source files match upstream:
   9f9a76d291ee8d99134c71173bb84bdb  Structures_DataGrid_DataSource_Array-0.1.0.tgz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   php-pear(Structures_DataGrid_DataSource_Array) = 0.1.0
   php-pear-Structures-DataGrid-DataSource-Array = 0.1.0-1.fc7
  =
   /bin/sh
   /usr/bin/pear
   php-pear(PEAR)
   php-pear(Structures_DataGrid)
* %check is not present; no test suite upstream.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets OK (pear module installation)
* code, not content.

APPROVED
Comment 2 Jason Tibbitts 2006-12-02 15:15:57 EST
I must be slipping.  Of course I meant

O rpmlint output is OK.
Comment 3 Christopher Stone 2006-12-02 15:58:35 EST
Thanks for the review. :)
Comment 4 Christopher Stone 2007-05-05 19:52:03 EDT
Package Change Request
======================
Package Name: php-pear-Structures-DataGrid-DaataSource-Array
New Branches: EL-5
Comment 5 Dennis Gilmore 2007-05-06 01:31:46 EDT
EPEL done
Comment 6 Christopher Stone 2007-05-06 17:57:32 EDT
It appears this did not get branched correctly, I noticed a typo in the name
from the original request, it should be:

Package Change Request
======================
Package Name: php-pear-Structures-DataGrid-DataSource-Array
New Branches: EL-5

I apologize if this is what caused the problem.

Note You need to log in before you can comment on or make changes to this bug.